package com.ycwl.basic.service.pc;

import com.ycwl.basic.facebody.adapter.IFaceBodyAdapter;
import com.ycwl.basic.integration.scenic.dto.scenic.ScenicV2DTO;
import com.ycwl.basic.model.pc.scenic.req.ScenicReqQuery;
import com.ycwl.basic.pay.adapter.IPayAdapter;
import com.ycwl.basic.storage.adapters.IStorageAdapter;
import com.ycwl.basic.utils.ApiResponse;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/3 15:22
 */
public interface ScenicService {
    ApiResponse<List<ScenicV2DTO>> list(ScenicReqQuery scenicReqQuery);

    IStorageAdapter getScenicStorageAdapter(Long scenicId);

    IStorageAdapter getScenicTmpStorageAdapter(Long scenicId);

    IStorageAdapter getScenicLocalStorageAdapter(Long scenicId);

    IFaceBodyAdapter getScenicFaceBodyAdapter(Long scenicId);

    IPayAdapter getScenicPayAdapter(Long scenicId);
}
